/**
 * @brief DAC-4.76V量程(DAC0)
 * @details 配置DAC0使用1.2V量程输出电压到P0.0。
 */

#include "lks32mc09x_gpio.h"
#include "lks32mc09x_dac.h"
volatile uint32_t setdacval = 0;
/**
 * @brief 主函数
 */
int main(void)
{
    // 配置P0.0为DAC0输出
    GPIO_InitTypeDef GPIO_InitStruct;
    GPIO_StructInit(&GPIO_InitStruct);
    GPIO_InitStruct.GPIO_Pin = GPIO_Pin_0;
    GPIO_InitStruct.GPIO_Mode = GPIO_Mode_ANA; // 模拟输入模式
    GPIO_Init(GPIO0, &GPIO_InitStruct);
    // 使能DAC0输出到IO口
    DAC_Enable(DAC_CHANNEL_0);
    DAC_SetRange(DAC_CHANNEL_0, DAC_RANGE_0_4V76);
    DAC_Output(DAC_CHANNEL_0, 1);

    while (1)
    {
        DAC_OutputValue(DAC_CHANNEL_0, setdacval); // 设置DAC0输出电压
    }
}

